> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getreditus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List affiliates

> Retrieve a paginated list of partners.



## OpenAPI

````yaml GET /v1/partners
openapi: 3.1.0
info:
  title: Reditus API - Partners
  description: API specification for managing partners in Reditus.
  version: 1.0.0
servers:
  - url: https://api.getreditus.com/api
security: []
paths:
  /v1/partners:
    get:
      summary: List Partners
      description: Retrieve a paginated list of partners.
      parameters:
        - name: name_eq
          in: query
          schema:
            type: string
            description: Filter by name
        - name: email_eq
          in: query
          schema:
            type: string
            description: Filter by email
        - name: paypal_email_eq
          in: query
          schema:
            type: string
            description: Filter by PayPal email
        - name: page
          in: query
          schema:
            type: integer
            description: Page number
        - name: per_page
          in: query
          schema:
            type: integer
            maximum: 50
            description: Records to be displayed per page
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartnerListResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    PartnerListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Partner'
        meta:
          type: object
          properties:
            pagination:
              type: object
              properties:
                page:
                  type: integer
                per_page:
                  type: integer
                has_more:
                  type: boolean
    Partner:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        attributes:
          type: object
          properties:
            name:
              type: string
            paypal_email:
              type: string
            slug:
              type: string
            created_at:
              type: integer
            updated_at:
              type: integer
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````